Subject: bug#8189: 24.0.50; indenting region with TAB deactivates region

From: Gregor Zattler <[email-masked]>
Date: Mon, 7 Mar 2011 00:15:23 +0100

Hi Stefan,
* Stefan Monnier <[email-masked]> [06. Mar. 2011]:
>> This bug report is about deactivating the region.  I don't know if it's
>> easy to fix this but it would be nice if it would be possible to indent
>> the region several times by simply hitting TAB several times.
> 
> The command usually bound to TAB is really meant for programming
> languages, where it indents to "The Correct Indentation", so repeating
> it makes no sense.

I see.  I don't program but it's the same in org-mode.
 
> We could make it repeatable in text-mode buffers, but I suspect that
> you'd also want to be able to "fine-tune" it or to un-indent in
> a similar way, so maybe you want a more comprehensive solution.

If there is no spacial structure (programming, lists, outlines)
simply indenting as often as TAB is pressed seems very natural to
me. 

Thanks again, Gregor
-- 
 -... --- .-. . -.. ..--.. ...-.-